Name:           perl-File-Find-Rule-Age
Version:        0.302
Release:        12%{?dist}
Summary:        Rule to match on file age
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-Find-Rule-Age
Source0:        https://cpan.metacpan.org/authors/id/R/RE/REHSACK/File-Find-Rule-Age-%{version}.tar.gz
BuildArch:      noarch
# Build:
BuildRequires:  make
BuildRequires:  findutils
BuildRequires:  coreutils
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(DateTime) >= 0.42
BuildRequires:  perl(File::Find::Rule) >= 0.30
BuildRequires:  perl(File::stat)
BuildRequires:  perl(Params::Util) >= 0.37
# Tests:
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(File::Touch)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Test::More) >= 0.9
Requires:       perl(DateTime) >= 0.42
Requires:       perl(File::Find::Rule) >= 0.30
Requires:       perl(Params::Util) >= 0.37
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%global __requires_exclude ^perl\\(DateTime|File::Find::Rule|Params::Util\\)$

%description
File::Find::Rule::Age makes it easy to search for files based on their age.
DateTime and File::stat are used to do the behind the scenes work, with
File::Find::Rule doing the Heavy Lifting.

%prep
%setup -q -n File-Find-Rule-Age-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.302-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.302-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.302-10
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.302-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.302-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.302-7
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.302-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.302-5
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.302-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jul 28 2015 Tim Orling <ticotimo@gmail.com> - 0.302-3
- Additional cleanup per review (#1242724)

* Mon Jul 27 2015 Tim Orling <ticotimo@gmail.com> - 0.302-2
- Add dependencies from META.json
- Cleanup spec file per review (#1242724)

* Thu Apr 02 2015 Tim Orling <ticotimo@gmail.com> - 0.302-1
- Specfile autogenerated by cpanspec 1.78.
